<?php

class UserController
{
    private Connection $con;

    function __construct()
    {
        try {
            global $dsn, $rep, $vues, $error;
            $model = new UserModel();
            $action = $_REQUEST['action'];
            switch ($action) {
                case NULL:
                    $model->goToHome();
                    break;
                case "goToPresentation":
                    $model->goToPresentation();
                    break;
                case "goToHome":
                    $model->goToHome();
                    break;
                case "goToEnigme":
                    $model->goToEnigme();
                    break;
                case "goToQueue":
                    $model->goToQueue();
                    break;
                case "logout":
                    $model->logout();
                    break;
                default:
                    $error = "Action non valide";
                    require($rep . $vues['erreur']);
                    break;
            }
        } catch (PDOException $e) {
            $error = $e->getMessage();
            require($rep . $vues['erreur']);
        } catch (Exception $e2) {
            $error = $e2->getMessage();
            require($rep . $vues['erreur']);
        }
    }
}